@*agents Template File *@
@(lang: Lang)
@import play.i18n._

<div class="panel panel-primary"  ng-controller="ccAgentsController">
    <!-- Default panel contents -->

    <div class="panel-heading title link-connected-{{connected}}">
        <div class="col-md-3">
            <select ng-model="cookieOrder.value" ng-click="changeOrder()" class="dropdown">
                <option ng-repeat="order in orders" value="{{order.criteria}}" ng-selected="order.criteria == cookieOrder.value">
                    {{order.label@lang.code}}
                </option>
            </select>
        </div>
        <div class="col-md-6">
            AGENTS
        </div>
        <div class="col-md-3">
            <button type="button" class="btn btn-default btn-xs" ng-click="agentswitchstyle()">
                <span class="glyphicon glyphicon-adjust"></span> Changer Theme
            </button>
        </div>
    </div>
    <div class="panel-body">
        <div class="row show-grid">
            <div ng-class="agentStyle" ng-repeat="agents in agentsArray">
                <div ng-repeat="agent in agents">
                    <div class="col-md-5 {{agent.state}}" >
                        <span class="{{agent.state}} badge">&nbsp;</span>{{agent.name}}
                    </div>
                    <div class="col-md-2 {{agent.state}} center">{{agent.phoneNb}}</div>
                    <div class="col-md-2 bold {{agent.state}} center" >
                        <span ng-if="agent.state != 'NoAgent' ">{{agent.timeInState.toClockString()}}</span>
                        <span ng-if="agent.state == 'NoAgent' ">-</span>
                    </div>
                    <div class="col-md-3 {{agent.state}} center">{{agent.status}}&nbsp;</div>
                </div>
            </div>
        </div>
    </div>
</div>